This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 492079

Summary: imsettings-applet crashed
Product: [Fedora] Fedora Reporter: Aleksandar Kanchev <aleksandar.kanchev>
Component: imsettingsAssignee: Akira TAGOH <tagoh>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 10CC: dwmw2, i18n-bugs, lkundrak, tagoh
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-24 00:52:25 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
After a recent update the imsettings-applet crashed none

Description Aleksandar Kanchev 2009-03-25 06:07:30 EDT
Description of problem:
Some update might have caused GUI related issues. I'm unable to start the VirtualBox GUI, but the CLI seems to be ok. I've been using XMLmind for long time. I haven't used it for a week, since then there were couple of Fedora updates. I started it today, it displayed the main window with the toolbars and everything but then again it was unresponsive, I couldn't even stop it and had to kill it. This happens with Java and OpenJDK.

I tried creating a new user, because I suspected that there could be something wrong with my local settings. I booted again and logged in with it. Then I tried again VirtualBox and XMLmind but there was no difference. Finally I did 'su -' to become root and there was no problem running VirtualBox and XMLmind. But they only root if I 'su -', just 'su' doesn't help.

Version-Release number of selected component (if applicable):
kernel 2.6.27.19-170.2.35.fc10.i686 #1 SMP Mon Feb 23 13:21:22 EST 2009 i686 i686 i386 GNU/Linux
xxe-perso-4_2_1 (XMLmind)
VirtualBox-2.1.4_42893_fedora9-1.i386
Java(TM) SE Runtime Environment (build 1.6.0_11-b03)
IcedTea6 1.4 (fedora-11.b14.fc10-i386) Runtime Environment (build 1.6.0_0-b14)

Steps to Reproduce:
1. Install VirtualBox 2.1.4 from http://www.virtualbox.org
2. Log in with a non-root user in a GNOME-Session
3. Start VirtualBox
(Same for XMLmind: http://www.xmlmind.com/xmleditor/)
  
Actual results:
GUI won't start (VirtualBox) or will hang (XMLmind)

Expected results:
Fully responsive GUIs
Comment 1 Aleksandar Kanchev 2009-03-25 07:32:06 EDT
Just wanted to add that the same issue is valid for Freemind (http://freemind.sourceforge.net). Again I tested it with java, OpenJDK (IcedTea) and with non-root and root user (works only as root, i.e. 'su -').

Eclipse and Vuze (azureus) aren't affected, probably because they use SWT. Freemind and XMLmind use Swing. It looks like a Swing issue for now, but it isn't since VirtualBox is also affected.
Comment 2 Aleksandar Kanchev 2009-03-27 20:59:04 EDT
After another recent update the imsettings-applet crashed and got my attention. I yum remove'd it, which also removed scim and another imsettings-* packages, and now VirtualBox and Java Swing work as usual!!!

Btw just disabling scim and the imsettings-applet didn't help.
Comment 3 Aleksandar Kanchev 2009-03-27 20:59:56 EDT
Created attachment 337084 [details]
After a recent update the imsettings-applet crashed
Comment 4 Lubomir Rintel 2009-08-04 08:17:51 EDT
Please don't mix different issues in one bug report and pick the right component, otherwise it's highly unlikely anyone would care.
Comment 5 Bug Zapper 2009-11-18 04:57:20 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Akira TAGOH 2009-11-24 00:52:25 EST
We don't use imsettings-applet by default since F-11. close this as UPSTREAM.